subinstrinit
Prev | Orchestra Opcodes and Operators | Next

## subinstrinit

subinstrinit — Creates and runs a numbered instrument instance at init-time.

## Description

Same as subinstr, but init-time only and has no output arguments.

## Syntax

    subinstrinit instrnum [, p4] [, p5] [...]

    subinstrinit "insname" [, p4] [, p5] [...]

## Initialization

instrnum -- Number of the instrument to be called.

“insname” -- A string (in double-quotes) representing a named instrument.

p4, p5, ... -- Additional input values the are mapped to the called instrument p-fields, starting with p4.

The called instrument's p2 and p3 values will be identical to the host instrument's values. While the host instrument can control its own duration, any such attempts inside the called instrument will most likely have no effect.

## See Also

event, schedule, subinstr

## Credits

New in version 4.23

Prev | Up | Next
subinstr | Home | sum